package cn.ibizlab.businesscentral.core.product.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.product.domain.ProductPriceLevel;
/**
 * 关系型数据实体[ProductPriceLevel] 查询条件对象
 */
@Slf4j
@Data
public class ProductPriceLevelSearchContext extends QueryWrapperContext<ProductPriceLevel> {

	private String n_pricingmethodcode_eq;//[定价方式]
	public void setN_pricingmethodcode_eq(String n_pricingmethodcode_eq) {
        this.n_pricingmethodcode_eq = n_pricingmethodcode_eq;
        if(!ObjectUtils.isEmpty(this.n_pricingmethodcode_eq)){
            this.getSearchCond().eq("pricingmethodcode", n_pricingmethodcode_eq);
        }
    }
	private String n_roundingoptioncode_eq;//[舍入选项]
	public void setN_roundingoptioncode_eq(String n_roundingoptioncode_eq) {
        this.n_roundingoptioncode_eq = n_roundingoptioncode_eq;
        if(!ObjectUtils.isEmpty(this.n_roundingoptioncode_eq)){
            this.getSearchCond().eq("roundingoptioncode", n_roundingoptioncode_eq);
        }
    }
	private String n_quantitysellingcode_eq;//[销售数量控制]
	public void setN_quantitysellingcode_eq(String n_quantitysellingcode_eq) {
        this.n_quantitysellingcode_eq = n_quantitysellingcode_eq;
        if(!ObjectUtils.isEmpty(this.n_quantitysellingcode_eq)){
            this.getSearchCond().eq("quantitysellingcode", n_quantitysellingcode_eq);
        }
    }
	private String n_roundingpolicycode_eq;//[舍入原则]
	public void setN_roundingpolicycode_eq(String n_roundingpolicycode_eq) {
        this.n_roundingpolicycode_eq = n_roundingpolicycode_eq;
        if(!ObjectUtils.isEmpty(this.n_roundingpolicycode_eq)){
            this.getSearchCond().eq("roundingpolicycode", n_roundingpolicycode_eq);
        }
    }
	private String n_productid_eq;//[产品]
	public void setN_productid_eq(String n_productid_eq) {
        this.n_productid_eq = n_productid_eq;
        if(!ObjectUtils.isEmpty(this.n_productid_eq)){
            this.getSearchCond().eq("productid", n_productid_eq);
        }
    }
	private String n_uomscheduleid_eq;//[单位计划 ID]
	public void setN_uomscheduleid_eq(String n_uomscheduleid_eq) {
        this.n_uomscheduleid_eq = n_uomscheduleid_eq;
        if(!ObjectUtils.isEmpty(this.n_uomscheduleid_eq)){
            this.getSearchCond().eq("uomscheduleid", n_uomscheduleid_eq);
        }
    }
	private String n_transactioncurrencyid_eq;//[货币]
	public void setN_transactioncurrencyid_eq(String n_transactioncurrencyid_eq) {
        this.n_transactioncurrencyid_eq = n_transactioncurrencyid_eq;
        if(!ObjectUtils.isEmpty(this.n_transactioncurrencyid_eq)){
            this.getSearchCond().eq("transactioncurrencyid", n_transactioncurrencyid_eq);
        }
    }
	private String n_uomid_eq;//[计价单位]
	public void setN_uomid_eq(String n_uomid_eq) {
        this.n_uomid_eq = n_uomid_eq;
        if(!ObjectUtils.isEmpty(this.n_uomid_eq)){
            this.getSearchCond().eq("uomid", n_uomid_eq);
        }
    }
	private String n_discounttypeid_eq;//[折扣表]
	public void setN_discounttypeid_eq(String n_discounttypeid_eq) {
        this.n_discounttypeid_eq = n_discounttypeid_eq;
        if(!ObjectUtils.isEmpty(this.n_discounttypeid_eq)){
            this.getSearchCond().eq("discounttypeid", n_discounttypeid_eq);
        }
    }
	private String n_pricelevelid_eq;//[价目表]
	public void setN_pricelevelid_eq(String n_pricelevelid_eq) {
        this.n_pricelevelid_eq = n_pricelevelid_eq;
        if(!ObjectUtils.isEmpty(this.n_pricelevelid_eq)){
            this.getSearchCond().eq("pricelevelid", n_pricelevelid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
		 }
	}
}




